PKG-LOCK(8)

NAME
pkg lock, pkg unlock - lock or unlock packages

SYNOPSIS
pkg lock [-lqy] [-a]
pkg lock [-lqy] [-Cgix] pkg-name
pkg unlock [-lqy] [-a]
pkg unlock [-lqy] [-Cgix] pkg-name

pkg lock [--{show-locked,quiet,yes}] [--all]
pkg lock --has-locked-packages
pkg lock [--{show-locked,quiet,yes}] [--{case-sensitive,glob,case-insensitive,regex}] pkg-name
pkg unlock [--{show-locked,quiet,yes}] [--all]
pkg unlock [--{show-locked,quiet,yes}] [--{case-sensitive,glob,case-insensitive,regex}] pkg-name

DESCRIPTION
pkg lock is used to lock packages against reinstallation, modification or deletion. pkg unlock unlocks the named packages. Either variant only has an effect on currently installed packages. Consequently it is impossible to block installation of a new package by using this mechanism, unless such an installation implies updating a locked package.

The impact of locking a package is wider than simply preventing modifications to the package itself. Any operation implying modification of the locked package will be blocked. This includes:

•   Attempts to reinstall, up- or downgrade or delete the locked package itself.
•   Installation, up- or downgrade of a package where the resultant package would have a dependency on a different version of the locked package.
•   Deletion, up- or downgrade of any package the locked package depends upon, either directly or as a consequence of installing or upgrading some third package.

OPTIONS
The following options are supported by pkg lock:

-a, ---all
    Lock or unlock all installed packages.

-C, --case-sensitive
    Make the standard or the regular expression (-x) matching against pkg-name case sensitive.

-g, --glob
    Treat pkg-name as a shell glob pattern.

-i, --case-insensitive
    Make the standard or the regular expression (-x) matching against pkg-name case insensitive. This is the default, unless modified by setting CASE_SENSITIVE_MATCH to true in pkg.conf.

-l, --show-locked
    Show a list of all locked packages. This can be used without locking or unlocking any packages, in which case privileged access to the package database is not required. Otherwise it will be displayed after any lock or unlock operations.

-q, --quiet
    Operate quietly: do not output anything other than confirmatory questions.

-x, --regex
    Treat pkg-name as a regular expression according to the "modern" or "extended" syntax of re_format(7).

-y, --yes
    Assume "yes" as the answer to all questions.

--has-locked-packages
    Return 0 if at least one package is locked, 1 otherwise

ENVIRONMENT
The following environment variables affect the execution of pkg lock. See pkg.conf(5) for further description.

PKG_DBDIR

DEFAULT_ALWAYS_YES

ASSUME_ALWAYS_YES

CASE_SENSITIVE_MATCH

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)